Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class TextUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI

Direct Known Subclasses:
  BasicTextUI, MultiTextUI

public abstract class TextUI
extends ComponentUI

Text editor user interface

Constructor Summary
`TextUI()`

Method Summary
`abstract void` | `damageRange(JTextComponent t, int p0, int p1)` Causes the portion of the view responsible for the given part of the model to be repainted.
`abstract void` | `damageRange(JTextComponent t, int p0, int p1, Position.Bias firstBias, Position.Bias secondBias)` Causes the portion of the view responsible for the given part of the model to be repainted.
`abstract EditorKit` | `getEditorKit(JTextComponent t)` Fetches the binding of services that set a policy for the type of document being edited.
`abstract int` | `getNextVisualPositionFrom(JTextComponent t, int pos, Position.Bias b, int direction, Position.Bias[] biasRet)` Provides a way to determine the next visually represented model location that one might place a caret.
`abstract View` | `getRootView(JTextComponent t)` Fetches a View with the allocation of the associated text component (i.e.
`abstract Rectangle` | `modelToView(JTextComponent t, int pos)` Converts the given location in the model to a place in the view coordinate system.
`abstract Rectangle` | `modelToView(JTextComponent t, int pos, Position.Bias bias)` Converts the given location in the model to a place in the view coordinate system.
`abstract int` | `viewToModel(JTextComponent t, Point pt)` Converts the given place in the view coordinate system to the nearest representative location in the model.
`abstract int` | `viewToModel(JTextComponent t, Point pt, Position.Bias[] biasReturn)` Provides a mapping from the view coordinate space to the logical coordinate space of the model.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextUI

    public TextUI()

Method Detail

### modelToView

    public abstract Rectangle modelToView(JTextComponent t,
                                          int pos)
                                   throws BadLocationException

  Converts the given location in the model to a place in the view coordinate system.
  Parameters:
    `pos` - the local location in the model to translate >= 0
  Returns:
    the coordinates as a rectangle
  Throws:
    `BadLocationException` - if the given position does not represent a valid location in the associated document

### modelToView

    public abstract Rectangle modelToView(JTextComponent t,
                                          int pos,
                                          Position.Bias bias)
                                   throws BadLocationException

  Converts the given location in the model to a place in the view coordinate system.
  Parameters:
    `pos` - the local location in the model to translate >= 0
  Returns:
    the coordinates as a rectangle
  Throws:
    `BadLocationException` - if the given position does not represent a valid location in the associated document

### viewToModel

    public abstract int viewToModel(JTextComponent t,
                                    Point pt)

  Converts the given place in the view coordinate system to the nearest representative location in the model.
  Parameters:
    `pt` - the location in the view to translate. This should be in the same coordinate system as the mouse events.

### viewToModel

    public abstract int viewToModel(JTextComponent t,
                                    Point pt,
                                    Position.Bias[] biasReturn)

  Provides a mapping from the view coordinate space to the logical coordinate space of the model. The biasReturn argument will be filled in to indicate that the point given is closer to the next character in the model or the previous character in the model.
  Parameters:
    `x` - the X coordinate >= 0
    `y` - the Y coordinate >= 0
    `a` - the allocated region to render into
  Returns:
    the location within the model that best represents the given point in the view >= 0. The biasReturn argument will be filled in to indicate that the point given is closer to the next character in the model or the previous character in the model.

### getNextVisualPositionFrom

    public abstract int getNextVisualPositionFrom(JTextComponent t,
                                                  int pos,
                                                  Position.Bias b,
                                                  int direction,
                                                  Position.Bias[] biasRet)
                                           throws BadLocationException

  Provides a way to determine the next visually represented model location that one might place a caret. Some views may not be visible, they might not be in the same order found in the model, or they just might not allow access to some of the locations in the model.
  Parameters:
    `pos` - the position to convert >= 0
    `a` - the allocated region to render into
    `direction` - the direction from the current position that can be thought of as the arrow keys typically found on a keyboard. This may be SwingConstants.WEST, SwingConstants.EAST, SwingConstants.NORTH, or SwingConstants.SOUTH.
  Returns:
    the location within the model that best represents the next location visual position.
  Throws:
    `BadLocationException` -
    `IllegalArgumentException` - for an invalid direction

### damageRange

    public abstract void damageRange(JTextComponent t,
                                     int p0,
                                     int p1)

  Causes the portion of the view responsible for the given part of the model to be repainted.
  Parameters:
    `p0` - the beginning of the range >= 0
    `p1` - the end of the range >= p0

### damageRange

    public abstract void damageRange(JTextComponent t,
                                     int p0,
                                     int p1,
                                     Position.Bias firstBias,
                                     Position.Bias secondBias)

  Causes the portion of the view responsible for the given part of the model to be repainted.
  Parameters:
    `p0` - the beginning of the range >= 0
    `p1` - the end of the range >= p0

### getEditorKit

    public abstract EditorKit getEditorKit(JTextComponent t)

  Fetches the binding of services that set a policy for the type of document being edited. This contains things like the commands available, stream readers and writers, etc.
  Returns:
    the editor kit binding

### getRootView

    public abstract View getRootView(JTextComponent t)

  Fetches a View with the allocation of the associated text component (i.e. the root of the hierarchy) that can be traversed to determine how the model is being represented spatially.
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.